<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Tool;
use App\Models\Pack;

class ToolsController extends Controller
{
    public function index()
    {
        $tools = Tool::all();
        $packs = Pack::all();
        return view('index', ['tools' => $tools, 'packs' => $packs]);
    }

    public function show($id)
    {
        $tool = Tool::find($id);

        return view('tools.show', ['tool'=>$tool]);
    }
}
