<x-app-layout>

    {{-- Form to create a pack --}}
    <form method="POST" action="{{ route('admin.packs.store') }}">
        @csrf
        @method('POST')

        <label for="name">Nom :</label>
        <input type="text" id="name" name="name" required>

        <label for="quantity">Quantité :</label>
        <input type="number" id="quantity" name="quantity" required>

        <label for="tools">Outils :</label>
        {{-- Checkbox to select tools --}}
        @foreach ($tools as $tool)
            <input type="checkbox" id="tool-{{ $tool->id }}" name="tools[]" value="{{ $tool->id }}">
            <label for="tool-{{ $tool->id }}">{{ $tool->name }}</label>
        @endforeach

        <button type="submit">Confirmer</button>

</x-app-layout>
