{{-- Edit pack --}}
<x-app-layout>
    <form method="POST" action="{{ route('admin.packs.update', $pack->id) }}">
        @csrf
        @method('PUT')

        <label for="name">Nom :</label>
        <input type="text" id="name" name="name" value="{{ $pack->name }}" required>

        <label for="quantity">Quantité :</label>
        <input type="number" id="quantity" name="quantity" value="{{ $pack->quantity }}" required>

        <label for="tools">Outils :</label>
        {{-- Checkbox to select tools --}}
        @foreach ($tools as $tool)
            <input type="checkbox" id="tool-{{ $tool->id }}" name="tools[]" value="{{ $tool->id }}"
                @if ($pack->tools->contains('id', $tool->id)) checked @endif>
            <label for="tool-{{ $tool->id }}">{{ $tool->name }}</label>
        @endforeach

        <button type="submit">Confirmer</button>
    </form>
</x-app-layout>
